Summary:	Wayfire Config Manager
Name:		wcm
Version:	0.8.0
Release:	1
License:	MIT
Group:		Applications
Source0:	https://github.com/WayfireWM/wcm/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	72710710a4c3c1a056b5cb8e2e2f3122
URL:		https://wayfire.org/
BuildRequires:	gtk+3-devel >= 3.24
BuildRequires:	gtkmm3-devel
BuildRequires:	libepoxy-devel
BuildRequires:	libevdev-devel
BuildRequires:	libstdc++-devel >= 6:9
BuildRequires:	libxkbregistry-devel
BuildRequires:	libxml2-devel
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	wayfire-devel
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols >= 1.17
BuildRequires:	wf-config >= 0.6.0
BuildRequires:	wf-shell-devel
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	gtk+3 >= 3.24
Requires:	hicolor-icon-theme
Requires:	wf-config >= 0.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wayfire Config Manager is a Gtk3 application to configure wayfire. It
writes the config file that wayfire reads to update option values.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_bindir}/wcm
%attr(755,root,root) %{_bindir}/wdisplays
%{_desktopdir}/network.cycles.wdisplays.desktop
%{_desktopdir}/wayfire-config-manager.desktop
%{_iconsdir}/hicolor/*x*/apps/wcm.png
%{_iconsdir}/hicolor/scalable/apps/network.cycles.wdisplays.svg
%{_datadir}/wayfire/icons/plugin-*.svg
%{_datadir}/wayfire/icons/wcm.png
%changelog
* Sat Oct 14 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wcm.git;a=log;h=master

* Sat Oct 14 2023 Jan Palus <atler@pld-linux.org> 3336227
- new

